Bug 143149 - Crash in: vcl::Window::GetParentWithLOKNotifier()
Summary: Crash in: vcl::Window::GetParentWithLOKNotifier()
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.4.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-01 16:36 UTC by Caolán McNamara
Modified: 2021-07-03 06:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["vcl::Window::GetParentWithLOKNotifier()"]
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2021-07-01 16:36:18 UTC
This bug was filed from the crash reporting server and is br-3b8bbd79-c01a-4dad-9c3a-6c657db535a5.
=========================================


in writer print a document and exit the application the close 'X' button while the print progress dialog is still open

this needs a large document, I find holding ctrl+return to generate a 400 page blank document (and save it) is sufficient to reproduce
Comment 1 Caolán McNamara 2021-07-01 20:20:32 UTC
This appears to be the same as https://crashreport.libreoffice.org/stats/crash_details/5ba17467-e4b0-4ea9-8268-41dc8c594403 as mentioned in ESC minutes 2021-07-01 and my proposed fix is https://gerrit.libreoffice.org/c/core/+/118244
Comment 2 Commit Notification 2021-07-02 08:14:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/125500fed7ee9929ae9f94bcdc113801813dbf73

tdf#143149 fix crash if app exits while print progress is running

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-07-02 08:16:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/f4d6a3a7142f2f11e8c58b9fb32d05f66fa69685

tdf#143149 fix crash if app exits while print progress is running

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-07-02 10:14:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/bc51aec4209729ea91a79a82506d18461183f570

tdf#143149 fix crash if app exits while print progress is running

It will be available in 7.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-07-03 06:05:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-5":

https://git.libreoffice.org/core/commit/d1f203ec75c2fb8a15e75f540f89309a49a6d395

tdf#143149 fix crash if app exits while print progress is running

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.